# Fixing Embedded Controller (Laptop) | Getting Started With ACPI

- Introduction

  - Getting Started With ACPI
  - Choosing the SSDTs

- Methods

  - How to create SSDTs

  - Methods

    - Pre-Built SSDTs
    - SSDTs: The easy way
    - SSDTs: The long way

- Manual

  - Getting a copy of our DSDT
  - Compiling and decompiling ACPI Tables

- Desktop

  - Disabling desktop dGPUs

- Laptop

  - Fixing Backlight

  - Methods

  - Fixing Trackpad

  - Methods

  - Disabling laptop dGPUs

- Universal

  - Embedded Controller

  - Methods

  - CPU Power Management

  - Methods

  - AWAC vs RTC

  - Methods

  - NVRAM PMC

  - Methods

  - USB RHUB

  - Methods

  - IMEI

  - Methods

  - Fixing Uncore Bridge

  - Methods

  - Fixing SMBus Support

  - Methods

  - IRQ Fix
  - GPU Spoof

- Cleanup

  - Cleanup

- Misc

  - Troubleshooting
  - Contributing

# # Fixing Embedded Controller (Laptop)

## # You'll want to go to SSDT-EC under the Universal tab for the new SSDT-EC page